{pkgs, ...}: {
  services.nginx = {
    enable = true;
    package = (pkgs.nginx.override {
      modules = with pkgs.nginxModules; [ rtmp ];
    });
    recommendedTlsSettings = true;
    recommendedOptimisation = true;
    recommendedGzipSettings = true;
    recommendedProxySettings = true;
    virtualHosts = {
      "lunamoonlight.xyz" = {
        enableACME = true;
        addSSL = true;
        root = "/var/www/lunalanding";
     };
   };
 };

  # Open HTTP and HTTPs ports
  networking.firewall = {
    allowedTCPPorts = [
      80 443
    ];
  };
}
